#include <iostream>
#include <sstream>

using namespace std;

string maxOf(string, string ,int);
string minOf(string, string, int);
string rest(string, string, string);

int main()
{
    int aI, bI, cI;
    cin >> aI >> bI >> cI;

    stringstream ss;
    ss << aI;
    string a = ss.str();
    stringstream ss1;
    ss1 << bI;
    string b = ss1.str();
    stringstream ss2;
    ss2 << cI;
    string  c = ss2.str();

    string n1 = maxOf(a, b, 0);
    string f1 = maxOf(n1, c, 0);
    string n2 = minOf(a, b, 0);
    string f2 = minOf(n2, c, 0);
    string f3 = rest(a, b, c);

    string f = f1 + f3 + f2;
    stringstream fina(f);
    int fI = 0;
    fina >> fI;
    cout << fI;


    return 0;
}
string maxOf(string a, string b, int i){
    if(a[i] > b[i])
        return a;
    else if(a[i] < b[i])
        return b;
    else
        return maxOf(a, b, i+1);
}
string minOf(string a, string b, int i){
    if(a[i] < b[i])
        return a;
    else if(a[i] > b[i])
        return b;
    else
        return minOf(a, b, i+1);
}
string rest(string a, string b, string c){
    if(a != b && a!= c)
        return a;
    else if(b != a && b!= c)
        return b;
    else if(c != a && c!= b)
        return c;
}